> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trio.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Counterparty Split Recipient

> Create a split recipient for a counterparty



## OpenAPI

````yaml api-reference/banking-api/openapi.json POST /banking/counterparties/{counterparty_id}/split_recipients
openapi: 3.0.0
info:
  title: Banking API
  version: 1.0.0
servers:
  - url: https://api.sandbox.trio.com.br
    variables: {}
  - url: https://api.qa.trio.com.br
    variables: {}
  - url: https://api.trio.com.br
    variables: {}
security: []
tags: []
paths:
  /banking/counterparties/{counterparty_id}/split_recipients:
    post:
      tags:
        - counterparties
      summary: Create counterparty split recipient
      description: Creates a counterparty split recipient
      operationId: TrioFoundationWeb.Banking.Counterparty.SplitRecipientController.create
      parameters:
        - description: Counterparty ID
          in: path
          name: counterparty_id
          required: true
          schema:
            $ref: '#/components/schemas/UUID'
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Counterparty_split_recipient_data_params'
        description: The create counterparty split recipient attributes
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Counterparty_split_recipient_response'
          description: CounterpartySplitRecipient
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/401'
          description: Unauthorized
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/500'
          description: Internal server error
      callbacks: {}
components:
  schemas:
    '401':
      example:
        error:
          error_code: UNAUTHORIZED
          error_message: Invalid credentials
      properties:
        error:
          properties:
            error_code:
              description: Error code
              type: string
            error_message:
              description: Error message
              type: string
          type: object
      title: '401'
      type: object
    '500':
      example:
        error:
          error_code: INTEGRATION_ERROR
          error_message: An unexpected issue occurred
      properties:
        error:
          properties:
            error_code:
              description: Error code
              type: string
            error_message:
              description: Error message
              type: string
          type: object
      title: '500'
      type: object
    UUID:
      description: Unique identifier
      format: uuid
      title: UUID
      type: string
    Counterparty_split_recipient_data_params:
      description: Body params counterparty split recipient data
      example:
        ref_bank_account:
          branch: '0001'
          digit: '1'
          ispb: '12345678'
          number: '87654321'
          type: checking
        ref_type: bank_account
      properties:
        ref_bank_account:
          allOf:
            - $ref: >-
                #/components/schemas/Counterparty_split_recipient_ref_bank_account_params
          description: Bank account information. Required when ref_type is bank_account
        ref_pix_key:
          allOf:
            - $ref: >-
                #/components/schemas/Counterparty_split_recipient_ref_pix_key_params
          description: Pix key information. Required when ref_type is pix_key
        ref_type:
          $ref: '#/components/schemas/Counterparty_split_recipient_ref_type'
      required:
        - ref_type
      title: Counterparty split recipient data params
      type: object
    Counterparty_split_recipient_response:
      description: Body response of the counterparty split recipient
      example:
        data:
          counterparty_id: 018df099-093e-cfd1-4500-4c9392eb5d8a
          id: 018df099-093e-cfd1-4500-4c9392eb5d8a
          inserted_at: '2026-08-05T10:00:00Z'
          ref_bank_account:
            branch: '0001'
            digit: '1'
            ispb: '12345678'
            number: '87654321'
            type: checking
          ref_pix_key: null
          ref_type: bank_account
          updated_at: '2026-08-05T10:00:00Z'
      properties:
        data:
          $ref: '#/components/schemas/Counterparty_split_recipient_response_params'
      title: Counterparty split recipient response
      type: object
    Counterparty_split_recipient_ref_bank_account_params:
      description: Bank account reference used by a counterparty split recipient
      example:
        branch: '0001'
        digit: '1'
        ispb: '12345678'
        number: '87654321'
        type: checking
      properties:
        branch:
          description: Counterparty split recipient bank account branch
          type: string
        digit:
          description: Counterparty split recipient bank account digit
          type: string
        ispb:
          description: Counterparty split recipient bank account ispb
          type: string
        number:
          description: Counterparty split recipient bank account number
          type: string
        type:
          $ref: '#/components/schemas/Counterparty_bank_account_type'
      required:
        - branch
        - digit
        - ispb
        - number
        - type
      title: Counterparty split recipient ref bank account params
      type: object
    Counterparty_split_recipient_ref_pix_key_params:
      description: Pix key reference used by a counterparty split recipient
      example:
        key: '05964110000197'
      properties:
        key:
          description: Pix key value
          type: string
      required:
        - key
      title: Counterparty split recipient ref pix key params
      type: object
    Counterparty_split_recipient_ref_type:
      description: Counterparty split recipient reference type
      enum:
        - bank_account
        - pix_key
      title: Counterparty split recipient ref type
      type: string
    Counterparty_split_recipient_response_params:
      description: Counterparty split recipient data
      example:
        counterparty_id: 018df099-093e-cfd1-4500-4c9392eb5d8a
        id: 018df099-093e-cfd1-4500-4c9392eb5d8a
        inserted_at: '2026-08-05T10:00:00Z'
        ref_bank_account:
          branch: '0001'
          digit: '1'
          ispb: '12345678'
          number: '87654321'
          type: checking
        ref_pix_key: null
        ref_type: bank_account
        updated_at: '2026-08-05T10:00:00Z'
      properties:
        counterparty_id:
          $ref: '#/components/schemas/UUID'
        id:
          $ref: '#/components/schemas/UUID'
        inserted_at:
          description: Inserted at
          format: date-time
          type: string
        ref_bank_account:
          allOf:
            - $ref: >-
                #/components/schemas/Counterparty_split_recipient_ref_bank_account_params
          description: Bank account information
          nullable: true
        ref_pix_key:
          allOf:
            - $ref: >-
                #/components/schemas/Counterparty_split_recipient_ref_pix_key_params
          description: Pix key information
          nullable: true
        ref_type:
          $ref: '#/components/schemas/Counterparty_split_recipient_ref_type'
        updated_at:
          description: Updated at
          format: date-time
          type: string
      title: Counterparty split recipient response params
      type: object
    Counterparty_bank_account_type:
      description: Type of the counterparty bank account
      items:
        enum:
          - checking
          - payment
          - salary
          - savings
        type: string
      title: Counterparty bank account type
      type: string

````